<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        DB::statement(<<<SQL
            ALTER TABLE invoice_validations
            ALTER COLUMN quantity TYPE NUMERIC(10,3)
            USING quantity::NUMERIC(10,3);
        SQL);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('invoice_validations', function (Blueprint $table) {
        //     //
        // });
    }
};
